package com.wall.proshot.wallpapers.mytool;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;

import androidx.annotation.Nullable;

import com.wall.proshot.wallpapers.FreeWallPaper;
import com.wall.proshot.wallpapers.R;


public class MyText extends androidx.appcompat.widget.AppCompatTextView {


    public MyText(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initAttrs(context,attrs);
    }


    private void initAttrs(Context context, AttributeSet attrs){
        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.CustomeTv);
        boolean aBoolean = typedArray.getBoolean(R.styleable.CustomeTv_apply_font,false);
        if(aBoolean){
            setTypeface(FreeWallPaper.defaultFont);
        }

        typedArray.recycle();
    }



}
